> ## Documentation Index
> Fetch the complete documentation index at: https://gnosispay-feat-v2-auth-module.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get SOF Questions

> Get the Source of Funds questionnaire questions and answer options



## OpenAPI

````yaml https://gp-auth-module.prod.gnosispay.com/openapi.json get /source-of-funds
openapi: 3.0.0
info:
  version: 1.0.0
  title: SIWE Authentication API
  description: Sign In With Ethereum authentication service
servers:
  - url: https://gp-auth-module.prod.gnosispay.com
    description: API server
security: []
paths:
  /source-of-funds:
    get:
      tags:
        - Source of Funds
      summary: Get SOF Questions
      description: Get the Source of Funds questionnaire questions and answer options
      responses:
        '200':
          description: Questions returned successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetSOFQuestionsSuccess'
        '401':
          description: Unauthorized - Invalid or missing JWT
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '404':
          description: User not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '502':
          description: Core API error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
      security:
        - Bearer: []
components:
  schemas:
    GetSOFQuestionsSuccess:
      type: object
      properties:
        questions:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              question:
                type: string
              answers:
                type: array
                items:
                  type: string
            required:
              - id
              - question
              - answers
        version:
          type: number
      required:
        - questions
        - version
    Error:
      type: object
      properties:
        success:
          type: boolean
          enum:
            - false
        error:
          type: string
      required:
        - success
        - error

````